<?php

declare(strict_types=1);

namespace App\Framework\Http;

final readonly class Range
{
    public int $length;

    public function __construct(
        public int $start,
        public int $end,
        public int $total
    ) {
        $this->length = $end - $start + 1;
    }
}
